### Method

# Gtk CellRendererToggleset_radio

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_renderer_toggle_set_radio (
      GtkCellRendererToggle* toggle,
      gboolean radio
    )

#### Description [src]

If `radio` is `TRUE`, the cell renderer renders a radio toggle (i.e. a toggle in a group of mutually-exclusive toggles). If `FALSE`, it renders a check toggle (a standalone boolean option). This can be set globally for the cell renderer, or changed just before rendering each cell in the model (for `GtkTreeView`, you set up a per-row setting using `GtkTreeViewColumn` to associate model columns with cell renderer properties).

Deprecated since: 4.10

Please do not use it in newly written code.

Sets property | `Gtk.CellRendererToggle:radio`

#### Parameters

`radio`

  Type: `gboolean`

  `TRUE` to make the toggle look like a radio button.